using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace WebApplication1.Models
{
    // 会議室情報
    [Table("meeting_rooms")]
    public class MeetingRoom
    {
        // 会議室の識別番号
        [Key]
        [Column("meeting_room_id")]
        public int MeetingRoomId { get; set; }

        // 会議室の名前
        [Required]
        [StringLength(255)]
        [Column("meeting_room_name")]
        public string MeetingRoomName { get; set; }

        // 会議室の場所
        [StringLength(255)]
        [Column("location")]
        public string Location { get; set; }

        // 会議室の座席数
        [Column("seat_number")]
        public int? SeatNumber { get; set; }

        // 会議室の設備
        [StringLength(255)]
        [Column("equipment")]
        public string Equipment { get; set; }

        // 会議室の利用可能な時間帯（開始）
        [StringLength(255)]
        [Column("available_time_slots_start")]
        public string AvailableTimeSlotsStart { get; set; }

        // 会議室の利用可能な時間帯（終了）
        [Column("available_time_slots_end")]
        public int? AvailableTimeSlotsEnd { get; set; }

        // 会議室の利用料金（1時間あたり）
        [Column("hourly_rate")]
        public int? HourlyRate { get; set; }
    }
}