using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace WebApplication1.Models
{
    // 予約情報
    [Table("reservations")]
    public class Reservation
    {
        // 予約の識別番号
        [Key]
        [Column("reservation_id")]
        public int ReservationId { get; set; }

        // 予約された会議室
        [ForeignKey("MeetingRoom")]
        [Column("meeting_room_id")]
        public int MeetingRoomId { get; set; }

        // 予約したユーザー
        [ForeignKey("User")]
        [Column("user_id")]
        public int UserId { get; set; }

        // 会議に参加するユーザー
        [StringLength(255)]
        [Column("participants")]
        public string Participants { get; set; }

        // 会議の目的
        [StringLength(255)]
        [Column("purpose")]
        public string Purpose { get; set; }

        // 会議のタイトル
        [StringLength(255)]
        [Column("title")]
        public string Title { get; set; }

        // 会議の開始日時
        [Column("start_datetime")]
        public DateTime StartDateTime { get; set; }

        // 会議の終了日時
        [Column("end_datetime")]
        public DateTime EndDateTime { get; set; }

        // 予約した日時
        [Column("reservation_datetime")]
        public DateTime ReservationDateTime { get; set; }

        // 予約の状態
        [Required]
        [StringLength(255)]
        [Column("status")]
        public string Status { get; set; }

        public virtual MeetingRoom MeetingRoom { get; set; }
        public virtual User User { get; set; }
    }
}