using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace WebApplication1.Models
{
    // ユーザー情報
    [Table("users")]
    public class User
    {
        // ユーザーの識別番号
        [Key]
        [Column("user_id")]
        public int UserId { get; set; }

        // ユーザーの名前
        [Required]
        [StringLength(255)]
        [Column("name")]
        public string Name { get; set; }

        // ユーザーの所属部署
        [ForeignKey("Department")]
        [Column("department_id")]
        public int? DepartmentId { get; set; }

        // ユーザーが予約できる会議室の数
        [Column("reservable_number")]
        public int? ReservableNumber { get; set; }

        public virtual Department Department { get; set; }
    }
}