package com.example.entity;

import lombok.Data;
import javax.persistence.*;
import java.math.BigDecimal;

/**
 * 部情報 Entity
 */
@Entity
@Table(name = "departments")
@Data
public class DepartmentEntity {

    /**
     * 部署の識別番号
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "department_id", nullable = false)
    private BigDecimal departmentId;

    /**
     * 部署の名前
     */
    @Column(name = "department_name", nullable = false, length = 255)
    private String departmentName;

    /**
     * 部署の予算
     */
    @Column(name = "department_budget")
    private BigDecimal departmentBudget;
}