package com.example.entity;

import lombok.Data;
import javax.persistence.*;
import java.math.BigDecimal;

/**
 * 会議室情報 Entity
 */
@Entity
@Table(name = "meeting_rooms")
@Data
public class MeetingRoomEntity {

    /**
     * 会議室の識別番号
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "meeting_room_id", nullable = false)
    private BigDecimal meetingRoomId;

    /**
     * 会議室の名前
     */
    @Column(name = "meeting_room_name", nullable = false, length = 255)
    private String meetingRoomName;

    /**
     * 会議室の場所
     */
    @Column(name = "location", length = 255)
    private String location;

    /**
     * 会議室の座席数
     */
    @Column(name = "seat_number")
    private BigDecimal seatNumber;

    /**
     * 会議室の設備
     */
    @Column(name = "equipment", length = 255)
    private String equipment;

    /**
     * 会議室の利用可能な時間帯（開始）
     */
    @Column(name = "available_time_slots_start", length = 255)
    private String availableTimeSlotsStart;

    /**
     * 会議室の利用可能な時間帯（終了）
     */
    @Column(name = "available_time_slots_end")
    private BigDecimal availableTimeSlotsEnd;

    /**
     * 会議室の利用料金（1時間あたり）
     */
    @Column(name = "hourly_rate")
    private BigDecimal hourlyRate;
}