package com.example.entity;

import lombok.Data;
import javax.persistence.*;
import java.math.BigDecimal;

/**
 * ユーザー情報 Entity
 */
@Entity
@Table(name = "users")
@Data
public class UserEntity {

    /**
     * ユーザーの識別番号
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "user_id", nullable = false)
    private BigDecimal userId;

    /**
     * ユーザーの名前
     */
    @Column(name = "name", nullable = false, length = 255)
    private String name;

    /**
     * ユーザーの所属部署
     */
    @ManyToOne(fetch = FetchType.LAZY)
    @JoinColumn(name = "department_id")
    private DepartmentEntity department;

    /**
     * ユーザーが予約できる会議室の数
     */
    @Column(name = "reservable_number")
    private BigDecimal reservableNumber;
}