package com.example.repository;

import com.example.entity.DepartmentEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.math.BigDecimal;
import java.util.Optional;

/**
 * 部情報リポジトリ
 */
@Repository
public interface DepartmentRepository extends JpaRepository<DepartmentEntity, BigDecimal> {

    /**
     * 部署IDによる部情報の取得
     * @param departmentId 部署の識別番号
     * @return 部情報
     */
    Optional<DepartmentEntity> findByDepartmentId(BigDecimal departmentId);
}