package com.example.repository;

import com.example.entity.MeetingRoomEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.math.BigDecimal;
import java.util.Optional;

/**
 * 会議室情報リポジトリ
 */
@Repository
public interface MeetingRoomRepository extends JpaRepository<MeetingRoomEntity, BigDecimal> {

    /**
     * 会議室IDによる会議室情報の取得
     * @param meetingRoomId 会議室の識別番号
     * @return 会議室情報
     */
    Optional<MeetingRoomEntity> findByMeetingRoomId(BigDecimal meetingRoomId);
}