package com.example.repository;

import com.example.entity.UserEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.math.BigDecimal;
import java.util.Optional;

/**
 * ユーザー情報リポジトリ
 */
@Repository
public interface UserRepository extends JpaRepository<UserEntity, BigDecimal> {

    /**
     * ユーザーIDによるユーザー情報の取得
     * @param userId ユーザーの識別番号
     * @return ユーザー情報
     */
    Optional<UserEntity> findByUserId(BigDecimal userId);
}