from django.contrib import admin
from .models import MeetingRoom, Department, User, Reservation

# 会議室情報の管理クラス
class MeetingRoomAdmin(admin.ModelAdmin):
    list_display = ('meeting_room_name', 'location', 'equipment')

# 部情報の管理クラス
class DepartmentAdmin(admin.ModelAdmin):
    list_display = ('department_name',)

# ユーザー情報の管理クラス
class UserAdmin(admin.ModelAdmin):
    list_display = ('name',)

# 予約情報の管理クラス
class ReservationAdmin(admin.ModelAdmin):
    list_display = ('participants', 'purpose', 'title', 'status')

admin.site.register(MeetingRoom, MeetingRoomAdmin)
admin.site.register(Department, DepartmentAdmin)
admin.site.register(User, UserAdmin)
admin.site.register(Reservation, ReservationAdmin)